Name:           swing-layout
Version:        1.0.4
Release:        2.1%{?dist}
Summary:        Natural layout for Swing panels

Group:          Development/Libraries
License:        LGPLv2
URL:            https://swing-layout.dev.java.net/
# Need to register to download, from url above
Source0:        %{name}-%{version}-src.zip
# Disable javadoc failonerror as swift alternative to fixing errors
Patch1:		swing-layout-doc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jpackage-utils >= 1.6
BuildRequires:  java-devel >= 1.3
BuildRequires:  ant
BuildRequires:  dos2unix
Requires:       java >= 1.3

BuildArch:      noarch

%description
Extensions to Swing to create professional cross platform layout.

%package javadoc
Summary:        Javadoc documentation for Swing Layout
Group:          Documentation

%description javadoc
Documentation for Swing Layout code.


%prep
%setup -q
%patch1 -p1 -b .orig
dos2unix releaseNotes.txt


%build
%{ant} jar javadoc dist


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir} \
        $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -m 644 dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -pr dist/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_javadir}/%{name}*.jar
%doc releaseNotes.txt


%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}


%changelog
* Sun Feb 10 2019 Dave Love <loveshack@fedoraproject.org> - 1.0.4-2.1
- Don't fail on javadoc

* Fri Mar 5 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.4-2
- Drop gcj_support.

* Tue Jan 26 2010 Victor G. Vasilyev <victor.vasilyevg@sun.com> - 1.0.4-1
- 1.0.4

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr 03 2008 Lubomir Kundrak <lkundrak@redhat.com> - 1.0.3-2
- gcj bits
- no insane javadoc links

* Tue Feb 19 2008 Lubomir Kundrak <lkundrak@redhat.com> - 1.0.3-1
- 1.0.3
- Major specfile cleanup for Fedora

* Tue Feb 19 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0:1.0-1jpp
- Shamelessly stolen this from JPackage 1.6 without proper ChangeLog entry

* Mon Nov 12 2005 Jaroslav Tulach <jtulach@netbeans.org> - 0:0.9-1jpp
- First packaged release.
